#78 _pt_meo: grabber dies on invalid times (CET -> CEST switch)

closed-fixed
Karl Dietz
5
2011-10-26
2011-03-27
Daniel Leite
No

i'm using the tv_grab_pt_meo and as today (2011-03-27) the DST change the hour (1H to 2H).

Since yesterday i'm getting this error:

Running command: tv_grab_pt_meo --quiet --days 2 --config-file "/home/higuita/.freeguide/xmltv-configs/pt.conf"
Use of uninitialized value $outputEncoding in lc at /usr/lib64/perl5/vendor_perl/5.12.3/XML/Writer.pm line 63.
Invalid local time for date in time zone: Europe/Lisbon
Error executing grabber: XML document structures must start and end within the same entity.
Result code = 255

As this worked fine a few days ago and after searching the web, i suspect that the grabber isnt handling the Portuguese DST

thanks for the help
ps: the SF category list dont have the tv_grab_pt_meo in the list

Discussion

  • Karl Dietz
    Karl Dietz
    2011-03-29

    The grabber is handling the DST quite well. What it does not handle is bogus times (my fault, sorry) like 02:30 on the 27th. (as the clock jumped from 02:00 CET to 03:00 CEST)
    There's not much we can do about it as we don't know in which way the scheduling is wrong on that day without looking at each channel. But it would be nice to at least return the programs up to the switch DST and anything onward as good as we can. (Might lead to 2 sundays a year with wrong data)

     
  • Karl Dietz
    Karl Dietz
    2011-03-29

    • summary: tv_grab_pt_meo: error due DST? --> _pt_meo: grabber dies on invalid times (CET -> CEST switch)
     
  • Karl Dietz
    Karl Dietz
    2011-10-25

    • labels: 1368304 --> tv_grab_pt_meo
    • assigned_to: nobody --> dekarl
    • status: open --> open-accepted
     
  • Karl Dietz
    Karl Dietz
    2011-10-25

    Find attached a patch that changes the behavior to just reading the first start time of each channel and then adding up the durations.
    This fixes all times around the DST switch as we start around midnight which is always unique and the move forward by calculating instead of trying to parse.
    But this will break if there are gaps in the programming! Please tell me if there are channels that go off air and it is not signalled with an "channel is off air" program element.

     
  • Karl Dietz
    Karl Dietz
    2011-10-25

    Use start time of the first program per channel, then just add durations

     
  • Daniel Leite
    Daniel Leite
    2011-10-26

    In my quick check,, only a few channels end transmission and as far i can see, the SAPO EPG have a "channel is off air program, with valid start, duration and end time...

    i applied the patch and tried to update future dates and i dont see any problem (i'm using freeguide), the output for several days look the same as before the patch... so it looks good to apply.

    again, thanks for all your work in this grabber! :)

     
  • Karl Dietz
    Karl Dietz
    2011-10-26

    patch applied, thanks for testing

     
  • Karl Dietz
    Karl Dietz
    2011-10-26

    • status: open-accepted --> closed-fixed